Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006421opensim[REGION] Script Functionspublic2012-11-10 21:502014-07-29 13:42
ReporterKayaker Magic 
Assigned Tomelanie 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version0.7.5 Dev OSgrid
Product Version 
Target VersionFixed in Version 
Summary0006421: llSetLinkPrimitiveParams cannot move seated avatars
Description    When an avatar sits on a build, the avatar becomes one of the child primitives in the link list. The llSetLinkPrimitiveParams call is supposed to be able to move the avatar with PRIM_POSITION. This is suggested in the Wiki as a way to change the sit target of a seated avatar while already seated. (see http://wiki.secondlife.com/wiki/LlSitTarget#UpdateSitTarget [^]). Unfortunately, this doesn't work in Open Simulator: When you try to move a seated avatar with llSetLinPrimitivePosition, nothing happens. The avatar does not move.
    This is an important feature for adjustable seats in vehicles that allow seated avatars to move themselves into a position that matches their size. It can also be used for a type of teleporter.
Steps To Reproduce    Rez a prim and put the following script in it. Sit your avatar on the prim, then touch the prim. Your avatar should me moved once a second, 10 times, until s/he is 5 meters away from the prim. But nothing happens. To demonstrate that the script is correct, jump off the prim and link another child prim in your place. Click on the root prim and see the correct movement that the avatar should have gone through.
Additional Informationfloat count;
default
{
    touch_start(integer num)
    {
        count=0.0;
        llSetTimerEvent(1);
    }
    timer()
    {
        count += 0.5;
        llOwnerSay((string)count);
        llSetLinkPrimitiveParams(2,[PRIM_POSITION,<0,0,count>]);
        if (count>=5.0)
            llSetTimerEvent(0);
    }
}
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (Multiple Regions per Sim)
Physics EngineODE
Script Engine
EnvironmentUnknown
Mono VersionNone
ViewerFirestorm
Attached Files

- Relationships
related to 0006121closedmelanie llSetLinkPrimitiveParams, llSetLinkPrimitiveParamsFast, llGetLinkPrimitiveParams do not work on avatars 
related to 0006573closedmelanie LSL get and set link primitive paramaters functions are broken when the link number is an avatar 
related to 0006657closedjustincc llSetLinkPrimitiveParams STILL cannot move or rotate seated avatars 

-  Notes
(0023219)
Toy_Wylie (reporter)
2012-12-10 05:21

Another note: Do this test with a slightly modified script (3 instead of 2 in line 12) and link two prims together, then sit on the second prim. You will see your avatar moving together with the second prim, which is clearly different compared with the behavior on Second Life.
(0023250)
justincc (administrator)
2012-12-14 16:15

I don't see why this couldn't be done with a fair bit of work, though it does mean keeping some more information about sit order.

I do have a couple of questions which it would be very helpful if you could answer.

1) Do prims without sit targets get a linked avatar on sit? I'm guessing no.

2) If there are multiple avatars sitting on an object and one stands up, do all the remaining sitting avatars shuffle one slot down in the link order, retaining the order in which they sat? (I'm guessing yes).
(0023257)
Toy_Wylie (reporter)
2012-12-14 19:51

1) The prims themselves don't get a link to the avatar at all. The avatars are just appended at the end of the link chain. Moving a child prim should never cause an avatar to move with it (even though I would love to have that in SL :D).

It doesn't matter if the prim has a sit target or not, the result is the same. On SL the avatar gets appended to the end of the chain, in OpenSim it moves together with the child prim.

2) Yes, they do.
(0023261)
Kayaker Magic (reporter)
2012-12-15 12:44

I just tried the little script above on the Avination grid, AND IT WORKED THE WAY IT DOES IN SL! So over there at AVN they have fixed this problem already!
(0023998)
melanie (administrator)
2013-06-04 14:10

See issue 6121 - leaving this closed

- Issue History
Date Modified Username Field Change
2012-11-10 21:50 Kayaker Magic New Issue
2012-12-10 05:21 Toy_Wylie Note Added: 0023219
2012-12-14 16:15 justincc Note Added: 0023250
2012-12-14 19:51 Toy_Wylie Note Added: 0023257
2012-12-15 12:44 Kayaker Magic Note Added: 0023261
2013-03-26 17:03 justincc Relationship added related to 0006121
2013-04-09 18:31 Mata Hari Relationship added related to 0006573
2013-06-04 12:15 melanie Status new => resolved
2013-06-04 12:15 melanie Resolution open => fixed
2013-06-04 12:15 melanie Assigned To => melanie
2013-06-04 14:10 melanie Note Added: 0023998
2013-12-06 12:39 SeanSB Relationship added related to 0006657
2014-07-29 13:42 chi11ken Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker